CollectionType (Axis API)
Keywords: org.apache.axis.wsdl.symbolTable.CollectionType,CollectionType class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.symbolTable
Class CollectionType

    java.lang.Object
      |
      +--org.apache.axis.wsdl.symbolTable.SymTabEntry
            |
            +--org.apache.axis.wsdl.symbolTable.TypeEntry
                  |
                  +--org.apache.axis.wsdl.symbolTable.Type
                        |
                        +--org.apache.axis.wsdl.symbolTable.DefinedType
                              |
                              +--org.apache.axis.wsdl.symbolTable.CollectionType

All Implemented Interfaces:
  CollectionTE, java.io.Serializable

public class CollectionType
extends DefinedType
implements CollectionTE

This Type is for a QName that is a 'collection'. For example, We need a way to indicate in the symbol table that a foo is 'collection of bars', In such cases a collection type is added with the special QName [, ]

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.wsdl.symbolTable.DefinedType
`extensionBase`

Fields inherited from class org.apache.axis.wsdl.symbolTable.TypeEntry
`dims, isBaseType, isSimpleType, node, onlyLiteralReference, refType, undefined`

Fields inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`name, qname`

Constructor Summary
`CollectionType(QName pqName, TypeEntry refType, org.w3c.dom.Node pNode, java.lang.String dims)`

Methods inherited from class org.apache.axis.wsdl.symbolTable.DefinedType
`getComplexTypeExtensionBase`

Methods inherited from class org.apache.axis.wsdl.symbolTable.TypeEntry
`getBaseType, getDimensions, getNode, getRefType, getUndefinedTypeRef, isBaseType, isOnlyLiteralReferenced, isSimpleType, setOnlyLiteralReference, setRefType, setSimpleType, toString, toString, updateUndefined`

Methods inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`getDynamicVar, getName, getQName, isReferenced, setDynamicVar, setIsReferenced, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollectionType

    public CollectionType(QName pqName,
                          TypeEntry refType,
                          org.w3c.dom.Node pNode,
                          java.lang.String dims)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.